Bug 44293 - Incorrect target framework profile for new PCL in XS compared to VS
Summary: Incorrect target framework profile for new PCL in XS compared to VS
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Project Model (show other bugs)
Version: 6.1.0 (C8)
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: (C8SR0)
Assignee: Marius Ungureanu
URL:
Depends on:
Blocks:
 
Reported: 2016-09-14 13:50 UTC by Mike James
Modified: 2016-10-10 05:45 UTC (History)
5 users (show)

See Also:
Tags:
Is this bug a regression?: Yes
Last known good build:


Attachments

Description Mike James 2016-09-14 13:50:19 UTC
I've been speaking with the Azure Search team to try and get their SDK to be compatible with Xamarin Studio and discovered that the issue is actually ours. 

It appears that Xamarin Studio will create a PCL project using profile 78 rather than Visual Studios default of 111. If we used 111 by default then a number of existing Azure SDKs would work in Xamarin Studio which right now fail to install.
Comment 1 Lluis Sanchez 2016-09-14 15:07:30 UTC
We use profile 78 because that's what works better for Xamarin projects. I'm not sure profile 111 would also work. Mikayla may know more about this.
Comment 2 Mikayla Hutchinson [MSFT] 2016-09-14 17:26:46 UTC
It looks like switching from Profile78 to Profile111 affects the following

* Bump minimum "Windows Phone" from 8.0 to 8.1
* Drop "Windows Phone Silverlight 8"
* Drop "Windows Store (Windows 8)"

I don't see any reason not match what VS does in this case.
Comment 4 Lluis Sanchez 2016-09-14 21:13:30 UTC
OK, we'll switch to profile111.
Comment 6 xamarin-release-manager 2016-09-20 19:16:59 UTC
Fixed in version 6.2.0.564 (master)

Author: therzok
Commit: 60e62f0b9f2a3706f80c42dd37322bc3f23e1194 (mono/monodevelop)
Comment 7 Marius Ungureanu 2016-09-20 19:29:10 UTC
I noticed that Xamarin Forms templates in VS use profiles based on availability 259 -> 78 -> 7. Given that Mono always ships all profiles, do we also want to match Xamarin Forms PCL profiles in this case?

We also have the SingleView iOS app with PCL using profile 78. Do we want that bumped to 111?
Comment 8 Mikayla Hutchinson [MSFT] 2016-09-20 19:57:29 UTC
IMO XS should match VS for those too unless we have a *really* good reason to diverge.
Comment 9 Marius Ungureanu 2016-09-20 20:50:42 UTC
Then my PRs fix it.
Comment 11 xamarin-release-manager 2016-09-21 10:17:38 UTC
Fixed in version 6.1.1.13 (cycle8-sr0)

Author: therzok
Commit: 572dff90ee91aa7fa87172dfaa5b178ab6a7b9ee (mono/monodevelop)
Comment 12 xamarin-release-manager 2016-09-21 10:18:07 UTC
Fixed in version 6.1.2.7 (cycle8)

Author: therzok
Commit: 365eb860ad713ce24162087915057fa482384937 (mono/monodevelop)
Comment 13 Shruti 2016-09-21 12:05:04 UTC
=========================
Verification Status:
=========================

I have checked this issue with Cycle8 XS build Version 6.1.2 (build 8) and C8SR0 XS build Version 6.1.1 (build 14) and observed that this issue is fixed on both. Xamarin Studio now creates a PCL project using profile 111.

Supplement Info for Cycle8:
Screencast: http://www.screencast.com/t/rZfKlcgp5mE
Environment Info and IDE Logs:
https://gist.github.com/shrutis360/63f4919246d9d97fbb7c62c4cf2c0087

Supplement Info for C8SR0:
Screencast: http://www.screencast.com/t/AGd6qpjhKtOl
Environment Info and IDE Logs:
https://gist.github.com/shrutis360/44cf2a0cd83652ad5bec9c6fc8541a4a

Hence, marking this issue as verified fixed.

Thanks!
Comment 14 xamarin-release-manager 2016-10-06 22:18:40 UTC
Fixed in version 6.1.2.27 (cycle8)

Author: therzok
Commit: 572dff90ee91aa7fa87172dfaa5b178ab6a7b9ee (mono/monodevelop)
Comment 15 Shruti 2016-10-10 05:45:11 UTC
I have verified this issue with cycle8 build of 
XamarinStudio-6.1.2.27_b2677b526de69bd9f7b777a987a6501a1256524a
as mentioned in comment14 and observed that this issue is fixed. Xamarin Studio creates a PCL project using PCL 4.5-Profile111 as default.

=====Build Information=====
Release ID: 601020027
Git revision: b2677b526de69bd9f7b777a987a6501a1256524a
Build date: 2016-10-06 18:29:21-04
Xamarin addins: 47a816cfc63ba22d998d7d94a66a152e0ec65ca1
Build lane: monodevelop-lion-cycle8

Note You need to log in before you can comment on or make changes to this bug.